Subject: Re: FvwmTaskBar crashes

From: "Robert H. Ford II" <[email-masked]>
Date: Tue, 30 Nov 1999 10:50:28 -0600

Michael Han wrote:
> 
> Previously from "Robert H. Ford II"
> >I've just build the latest snapshot and now FvwmTaskBar crashes.
> >
> > yadda yadda yadda (stuff cut for brevity)
> >
> >Can I do anything with the core file to help solve this problem?
> >
> >Thank you for any and all help.
> 
> I don't know if anyone replied privately, but if not, I figured I
> would. The really useful thing is to run gdb on FvwmTaskBar and get
> the output of 'where' or 'bt'. Post that. If you don't use gdb, invoke
> it as 'gdb $path_to_FvwmTaskBar' (probably
> /usr/local/libexec/fvwm/2.3.10/FvwmTaskBar). At the gdb prompt type
> 'core $path_to_core' and then 'where'. HTH.
> --
> [email-masked]                         http://www.best.com/~mikehan/
> coffee achiever                              San Francisco, California
> "Just because I don't care doesn't mean I don't understand." - Homer

Michael,

Here is what I get from gdb:

gdb /home/misha21/FvwmNew2.3/libexec/fvwm/2.3.11/FvwmTaskBar 
GNU gdb 4.18
Copyright 1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "sparc-sun-solaris2.5.1"...
(gdb) core /home/misha21/core
Core was generated by `/home/misha21/FvwmNew2.3/libexec/fvwm/2.3.11/FvwmTaskBar
13 4 none 0 8'.
Program terminated with signal 6, Abort.
Reading symbols from /usr/lib/libm.so.1...done.
Reading symbols from /opt/x11r6/lib/libXpm.so.4.11...done.
Reading symbols from /opt/x11r6/lib/libSM.so.6.0...done.
Reading symbols from /opt/x11r6/lib/libICE.so.6.0...done.
Reading symbols from /opt/x11r6/lib/libXext.so.6.1...done.
Reading symbols from /opt/x11r6/lib/libX11.so.6.1...done.
Reading symbols from /usr/lib/libsocket.so.1...done.
Reading symbols from /usr/lib/libnsl.so.1...done.
Reading symbols from /usr/lib/libc.so.1...done.
Reading symbols from /usr/lib/libdl.so.1...done.
Reading symbols from /usr/lib/libintl.so.1...done.
Reading symbols from /usr/lib/libmp.so.1...done.
Reading symbols from /usr/lib/libw.so.1...done.
Reading symbols from /usr/platform/SUNW,Ultra-1/lib/libc_psr.so.1...done.
#0  0xef474998 in kill () from /usr/lib/libc.so.1
(gdb) where
#0  0xef474998 in kill () from /usr/lib/libc.so.1
#1  0xef43a66c in abort () from /usr/lib/libc.so.1
#2  0x1c2dc in error_name (code=25 '\031') at XError.c:48
(gdb) 

Is any of this useful?

Thank you for the help.

Bob

-- 
    _/_/_/     _/  _/   _/_/_/_/   _/_/_/_/_/_/ Robert H. Ford II
   _/   _/    _/  _/   _/           _/    _/    Lucent Technologies
  _/_/_/     _/_/_/   _/_/_/       _/    _/     Bell Labs Innovations
 _/   _/    _/  _/   _/           _/    _/      Naperville IL, 60566-7045
_/    _/   _/  _/   _/         _/_/_/_/_/_/     mailto:[email-masked]
                                                Voice: (630) 713-4957
__________________________________________________
|  M R spiders!                    |      |   |  |
|  M N O spiders!                  |      |   |  |
|  O S A R - C D E D B D I's?      |      |   |  |
|  Y I B, M R spiders...           |      |   *  |
|                                  *      |      |
|                                         *      |
--------------------------------------------------
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]